# -*- coding: utf-8 -*-
from openerp import api, fields, models
import json

class PaymentJournal(models.Model):
    _inherit = 'account.journal'

    @api.model
    def get_paymentsJournals(self):
        domain =[
            ('active', '=', True),
            ('type', 'in',['bank', 'cash'])
        ]
        paymentsJournals = []

        for journal in self.env['account.journal'].search(domain, order="id"):

            paymentsJournals.append({
                'id': journal.id,
                'name': journal.name,
                'display_name': journal.display_name,
                'code': journal.code,
                'cash_control': journal.cash_control,
                'type': journal.type,
                'currency': {
                    'id': journal.currency.id,
                    'name': journal.currency.name,
                    'display_name': journal.currency.display_name,
                    'symbol': journal.currency.symbol,
                    'rate_silent': journal.currency.rate_silent
                }
            })

        print(paymentsJournals)
        return paymentsJournals
